#
# spec file for package ipxrip (Version 0.7)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         ipxrip
License:      GPL
Group:        Productivity/Networking/Routing
PreReq:       %insserv_prereq %fillup_prereq
Provides:     ipxripd 
Autoreqprov:  on
Version:      0.7
Release:      857.4
Summary:      IPX Routing Daemon
Source:       ipxripd-%{version}.tar.bz2
Source1:      ipxrip.init
Patch:        ipxripd-%{version}.dif
Patch1:       ipxripd-%{version}-axp.dif
Patch2:       ipxripd-%{version}-secfix.dif
Patch3:       ipxripd-%{version}-2.6kernel-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is an RIP/SAP daemon for Linux. With this daemon you can turn your
Linux machine into an IPX router.



Authors:
--------
    Ales Dryak <A.Dryak@sh.cvut.cz>
    Volker Lendecke <lendecke@namu01.gwdg.de>

%prep
%setup -n ipxripd
%patch
%patch1
%patch2
%patch3

%build
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{S:1} $RPM_BUILD_ROOT/etc/init.d/ipxrip
ln -sf ../../etc/init.d/ipxrip $RPM_BUILD_ROOT/usr/sbin/rcipxrip
install -m 644 ipx_ticks $RPM_BUILD_ROOT/etc/

%post
%{fillup_and_insserv ipxrip}

%preun
%stop_on_removal ipxrip

%postun
%restart_on_update ipxrip
%{insserv_cleanup}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%doc README COPYING
%doc %{_mandir}/man?/*
/usr/sbin/*
%config /etc/init.d/*
%config(noreplace) /etc/ipx_ticks

%changelog -n ipxrip
* Fri Nov 19 2004 - postadal@suse.cz
- fixed to work with kernel 2.6 [#47095]
* Mon Aug 25 2003 - postadal@suse.cz
- use new stop_on_removal/restart_on_upate macros
* Tue Aug 27 2002 - postadal@suse.cz
- fixed a format string bug in ipxripd that is potentially exploitable
  by attackers on the local network [#18330]
* Fri Aug 16 2002 - postadal@suse.cz
- added %%insserv_prereq and %%fillup_prereq to PreReq [#17795]
* Wed Aug 14 2002 - poeml@suse.de
- fix comment in init script
* Sat Jul 27 2002 - adrian@suse.de
- do not source rc.config anymore
* Mon Dec 10 2001 - cihlar@suse.cz
- removed START_IPXRIP
* Tue Jul 24 2001 - cihlar@suse.cz
- fixed to compile on axp
* Fri Jun 29 2001 - cihlar@suse.cz
- clean up spec file
- added init script
- fixed includes
- fixed Copyright
- compile with RPM_OPT_FLAGS
- added BuildRoot
* Tue Apr 10 2001 - ro@suse.de
- added group tag
* Sat Mar 04 2000 - uli@suse.de
- moved man pages to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 16 1998 - ro@suse.de
- ipxkern: use correct include for glibc
* Sat Oct 03 1998 - ro@suse.de
- ipxripd: dont include linux/ipx for glibc
- ipxd: moved initialisation of FILE* log_file into main
